Bug 113350 - Relocation doesn't work on hpux
Relocation doesn't work on hpux
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
parisc11 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-01-12 18:23 EST by Dano Carroll
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-19 14:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Relocation error results (4.23 KB, text/plain)
2004-01-12 18:24 EST, Dano Carroll
no flags Details
Relocation was done successfully (13.84 KB, text/plain)
2004-01-12 18:25 EST, Dano Carroll
no flags Details
patch to fix relocation problem (1.14 KB, patch)
2004-01-12 18:26 EST, Dano Carroll
no flags Details | Diff

  None (edit)
Description Dano Carroll 2004-01-12 18:23:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1)

Description of problem:
On HP-UX (possibly others), relocation doesn't work. There's a place
in rpmfiNew that tests if ts is null and if fi is null before checking
to see the transaction element type:

if(ts != NULL)
if(fi != NULL)
if(fi->te != NULL && rpmteType(fi->te) == TR_ADDED) {

The problem is that the transactional element part of fi isn't
initialized in the code leading up to this. The patch included adds
these lines after the fi != NULL test:

fi->te = rpmtsElement(ts, 0);
if ( fi->h != NULL ) {
   fi->te->h = headerLink(fi->h);

I'm not sure if I needed to provide the header link, but that was the
way it was done in psm.c.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Steps to Reproduce:
1. Extract source from tar file
2. Apply patches from bugs 97662, 97887, 97907, 101717 113340 113348
3. ./configure --prefix=/usr/local --without-python (I don't think the
matter, thought)
4. make
5. make install
6. rpm -ivvvh --prefix /tmp/relocate <somerelocatablerpm>

Actual Results:  See attachment

Expected Results:  See attachment

Additional info:
Comment 1 Dano Carroll 2004-01-12 18:24:32 EST
Created attachment 96910 [details]
Relocation error results
Comment 2 Dano Carroll 2004-01-12 18:25:19 EST
Created attachment 96911 [details]
Relocation was done successfully
Comment 3 Dano Carroll 2004-01-12 18:26:09 EST
Created attachment 96912 [details]
patch to fix relocation problem
Comment 4 Jeff Johnson 2004-01-16 13:19:27 EST
relocation doesn't work everywhere, not just hpux, in several
recent versions of rpm.

Problem has been fixed in rpm-4.2.1, possibly in rpm-4.2-1 final,
I fergit.

Could you try that fix please?
Comment 5 Jeremy Katz 2005-04-19 14:43:15 EDT
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.

Note You need to log in before you can comment on or make changes to this bug.